<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2007 osCommerce

  Released under the GNU General Public License
*/

// look in your $PATH_LOCALE/locale directory for available locales
// or type locale -a on the server.
// Examples:
// on RedHat try 'en_US'
// on FreeBSD try 'en_US.ISO_8859-1'
// on Windows try 'en', or 'English'
@setlocale(LC_TIME, 'pt_BR.ISO_8859-1');

define('DATE_FORMAT_SHORT', '%d/%m/%Y');  // this is used for strftime()
define('DATE_FORMAT_LONG', '%A %d %B, %Y'); // this is used for strftime()
define('DATE_FORMAT', 'd/m/Y'); // this is used for date()
define('DATE_TIME_FORMAT', DATE_FORMAT_SHORT . ' %H:%M:%S');
define('JQUERY_DATEPICKER_I18N_CODE', 'pt-BR'); // leave empty for en_US; see http://jqueryui.com/demos/datepicker/#localization
define('JQUERY_DATEPICKER_FORMAT', 'dd/mm/yy'); // see http://docs.jquery.com/UI/Datepicker/formatDate

////
// Return date in raw format
// $date should be in format dd/mm/yyyy
// raw date is in format YYYYMMDD, or DDMMYYYY
function tep_date_raw($date, $reverse = false) {
  if ($reverse) {
    return substr($date, 0, 2) . substr($date, 3, 2) . substr($date, 6, 4);
  } else {
    return substr($date, 6, 4) . substr($date, 3, 2) . substr($date, 0, 2);
  }
}

// if USE_DEFAULT_LANGUAGE_CURRENCY is true, use the following currency, instead of the applications default currency (used when changing language)
define('LANGUAGE_CURRENCY', 'BRL');

// Global entries for the <html> tag
define('HTML_PARAMS', 'dir="ltr" lang="pt"');

// charset for web pages and emails
define('CHARSET', 'iso-8859-1');

// page title
define('TITLE', STORE_NAME);

// header text in includes/header.php
define('HEADER_TITLE_CREATE_ACCOUNT', 'Criar uma Conta');
define('HEADER_TITLE_MY_ACCOUNT', 'Conta Pessoal');
define('HEADER_TITLE_CART_CONTENTS', 'Conte&#250;do do Carrinho');
define('HEADER_TITLE_CHECKOUT', 'Encomendar');
define('HEADER_TITLE_TOP', 'In&#237;cio');
define('HEADER_TITLE_CATALOG', 'Cat&#225;logo');
define('HEADER_TITLE_LOGOFF', 'Sair');
define('HEADER_TITLE_LOGIN', 'Entrar');

// footer text in includes/footer.php
define('FOOTER_TEXT_REQUESTS_SINCE', 'visitas desde');

// text for gender
define('MALE', 'Masculino');
define('FEMALE', 'Feminino');
define('MALE_ADDRESS', 'Sr.');
define('FEMALE_ADDRESS', 'Sra.');

// text for date of birth example
define('DOB_FORMAT_STRING', 'dd/mm/yyyy');

// checkout procedure text
define('CHECKOUT_BAR_DELIVERY', 'M&#233;todo de Envio');
define('CHECKOUT_BAR_PAYMENT', 'M&#233;todo de Pagamento');
define('CHECKOUT_BAR_CONFIRMATION', 'Confirma&#231;&#227;o');
define('CHECKOUT_BAR_FINISHED', 'Conclu&#237;do!');

// pull down default text
define('PULL_DOWN_DEFAULT', 'Selecione');
define('TYPE_BELOW', 'Escreva');

// javascript messages
define('JS_ERROR', 'Ocorreram alguns erros durante o processamento do formul&#225;rio.\n\nPor favor, efetue as seguintes corre&#231;&#245;es:\n\n');

define('JS_REVIEW_TEXT', '* O \'Texto do Coment&#225;rio\' tem que ter pelo menos ' . REVIEW_TEXT_MIN_LENGTH . ' caracteres.\n');
define('JS_REVIEW_RATING', '* &#201; necess&#225;rio classificar o seu produto para comentar.\n');

define('JS_ERROR_NO_PAYMENT_MODULE_SELECTED', '* Por favor, selecione um M&#233;todo de pagamento para a sua encomenda.\n');

define('JS_ERROR_SUBMITTED', 'Este formul&#225;rio j&#225; foi enviado. Por favor clique em OK e aguarde que o processo termine.');

define('ERROR_NO_PAYMENT_MODULE_SELECTED', 'Por favor, selecione um M&#233;todo de pagamento para a sua encomenda.');

define('CATEGORY_COMPANY', 'Dados da Empresa');
define('CATEGORY_PERSONAL', 'Dados Pessoais');
define('CATEGORY_ADDRESS', 'Endere&#231;o');
define('CATEGORY_CONTACT', 'Contatos');
define('CATEGORY_OPTIONS', 'Op&#231;&#245;es');
define('CATEGORY_PASSWORD', 'Senha');

define('ENTRY_COMPANY', 'Empresa:');
define('ENTRY_COMPANY_TEXT', '');
define('ENTRY_GENDER', 'Sexo:');
define('ENTRY_GENDER_ERROR', 'Por favor, seleccione o sexo.');
define('ENTRY_GENDER_TEXT', '*');
define('ENTRY_FIRST_NAME', 'Nome:');
define('ENTRY_FIRST_NAME_ERROR', 'O Nome tem que conter pelo menos ' . ENTRY_FIRST_NAME_MIN_LENGTH . ' caracteres.');
define('ENTRY_FIRST_NAME_TEXT', '*');
define('ENTRY_LAST_NAME', 'Apelido:');
define('ENTRY_LAST_NAME_ERROR', 'O Apelido tem que conter pelo menos ' . ENTRY_LAST_NAME_MIN_LENGTH . ' caracteres.');
define('ENTRY_LAST_NAME_TEXT', '*');
define('ENTRY_DATE_OF_BIRTH', 'Data de Nascimento:');
define('ENTRY_DATE_OF_BIRTH_ERROR', 'A Data de Nascimento tem que estar no formato: DD/MM/YYYY (ex. 31/01/1970)');
define('ENTRY_DATE_OF_BIRTH_TEXT', '* (ex. 31/01/1970)');
define('ENTRY_EMAIL_ADDRESS', 'E-Mail:');
define('ENTRY_EMAIL_ADDRESS_ERROR', 'O E-Mail tem que conter pelo menos ' . ENTRY_EMAIL_ADDRESS_MIN_LENGTH . ' caracteres.');
define('ENTRY_EMAIL_ADDRESS_CHECK_ERROR', 'O E-Mail n&#227;o &#233; v&#225;lido - por favor fa&#231;a as corre&#231;&#245;es necess&#225;rias.');
define('ENTRY_EMAIL_ADDRESS_ERROR_EXISTS', 'O E-Mail j&#225; est&#225; registado na base de dados - por favor autentique-se com os seus dados pessoais ou crie uma conta com um E-Mail diferente.');
define('ENTRY_EMAIL_ADDRESS_TEXT', '*');
define('ENTRY_STREET_ADDRESS', 'Endere&#231;o:');
define('ENTRY_STREET_ADDRESS_ERROR', 'O Endere&#231;o tem que conter pelo menos ' . ENTRY_STREET_ADDRESS_MIN_LENGTH . ' caracteres.');
define('ENTRY_STREET_ADDRESS_TEXT', '*');
define('ENTRY_SUBURB', 'Local/Bairro:');
define('ENTRY_SUBURB_TEXT', '');
define('ENTRY_POST_CODE', 'CEP:');
define('ENTRY_POST_CODE_ERROR', 'O CEP tem que conter pelo menos ' . ENTRY_POSTCODE_MIN_LENGTH . ' caracteres.');
define('ENTRY_POST_CODE_TEXT', '*');
define('ENTRY_CITY', 'Cidade:');
define('ENTRY_CITY_ERROR', 'A Cidade tem que conter pelo menos ' . ENTRY_CITY_MIN_LENGTH . ' caracteres.');
define('ENTRY_CITY_TEXT', '*');
define('ENTRY_STATE', 'Estado:');
define('ENTRY_STATE_ERROR', 'O estado tem que conter pelo menos ' . ENTRY_STATE_MIN_LENGTH . ' caracteres.');
define('ENTRY_STATE_ERROR_SELECT', 'Por favor, seleccione um estado da lista.');
define('ENTRY_STATE_TEXT', '*');
define('ENTRY_COUNTRY', 'Pa&#237;s:');
define('ENTRY_COUNTRY_ERROR', 'Por favor, seleccione um Pa&#237;s da lista.');
define('ENTRY_COUNTRY_TEXT', '*');
define('ENTRY_TELEPHONE_NUMBER', 'Telefone:');
define('ENTRY_TELEPHONE_NUMBER_ERROR', 'O Telefone tem que conter pelo menos ' . ENTRY_TELEPHONE_MIN_LENGTH . ' caracteres.');
define('ENTRY_TELEPHONE_NUMBER_TEXT', '*');
define('ENTRY_FAX_NUMBER', 'Fax:');
define('ENTRY_FAX_NUMBER_TEXT', '');
define('ENTRY_NEWSLETTER', 'Newsletter:');
define('ENTRY_NEWSLETTER_TEXT', '');
define('ENTRY_NEWSLETTER_YES', 'Sim');
define('ENTRY_NEWSLETTER_NO', 'No');
define('ENTRY_PASSWORD', 'Senha:');
define('ENTRY_PASSWORD_ERROR', 'A senha tem que conter pelo menos ' . ENTRY_PASSWORD_MIN_LENGTH . ' caracteres.');
define('ENTRY_PASSWORD_ERROR_NOT_MATCHING', 'A senha no coincide com a confirmao.');
define('ENTRY_PASSWORD_TEXT', '*');
define('ENTRY_PASSWORD_CONFIRMATION', 'Confirmao da senha:');
define('ENTRY_PASSWORD_CONFIRMATION_TEXT', '*');
define('ENTRY_PASSWORD_CURRENT', 'Senha Atual:');
define('ENTRY_PASSWORD_CURRENT_TEXT', '*');
define('ENTRY_PASSWORD_CURRENT_ERROR', 'A senha tem que conter pelo menos ' . ENTRY_PASSWORD_MIN_LENGTH . ' caracteres.');
define('ENTRY_PASSWORD_NEW', 'Nova Senha:');
define('ENTRY_PASSWORD_NEW_TEXT', '*');
define('ENTRY_PASSWORD_NEW_ERROR', 'A nova senha tem que conter pelo menos ' . ENTRY_PASSWORD_MIN_LENGTH . ' caracteres.');
define('ENTRY_PASSWORD_NEW_ERROR_NOT_MATCHING', 'A senha n&#227;o coincide com a confirma&#231;&#227;o.');
define('PASSWORD_HIDDEN', '--HIDDEN--');

define('FORM_REQUIRED_INFORMATION', '* Preenchimento Obrigat&#243;rio');

// constants for use in tep_prev_next_display function
define('TEXT_RESULT_PAGE', 'Resultados:');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS', 'Produtos de <strong>%d</strong> a <strong>%d</strong> (Total: <strong>%d</strong> produtos)');
define('TEXT_DISPLAY_NUMBER_OF_ORDERS', 'Encomendas de <strong>%d</strong> a <strong>%d</strong> (Total: <strong>%d</strong> encomendas)');
define('TEXT_DISPLAY_NUMBER_OF_REVIEWS', 'Coment&#225;rios <strong>%d</strong> a <strong>%d</strong> (Total: <strong>%d</strong> coment&#225;rios)');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS_NEW', 'Novidades de <strong>%d</strong> a <strong>%d</strong> (Total: <strong>%d</strong> novidades)');
define('TEXT_DISPLAY_NUMBER_OF_SPECIALS', 'Promo&#231;&#245;es de <strong>%d</strong> a <strong>%d</strong> (Total: <strong>%d</strong> promo&#231;&#245;es)');

define('PREVNEXT_TITLE_FIRST_PAGE', 'Primeira P&#225;gina');
define('PREVNEXT_TITLE_PREVIOUS_PAGE', 'P&#225;gina Anterior');
define('PREVNEXT_TITLE_NEXT_PAGE', 'Pr&#243;xima P&#225;gina');
define('PREVNEXT_TITLE_LAST_PAGE', '&#218;ltima P&#225;gina');
define('PREVNEXT_TITLE_PAGE_NO', 'P&#225;gina %d');
define('PREVNEXT_TITLE_PREV_SET_OF_NO_PAGE', 'Conjunto Anterior de %d P&#225;ginas');
define('PREVNEXT_TITLE_NEXT_SET_OF_NO_PAGE', 'Conjunto Seguinte de %d P&#225;ginas');
define('PREVNEXT_BUTTON_FIRST', '&lt;&lt;PRIMEIRA');
define('PREVNEXT_BUTTON_PREV', '[&lt;&lt;&nbsp;ANTERIOR]');
define('PREVNEXT_BUTTON_NEXT', '[PR&#211;XIMA&nbsp;&gt;&gt;]');
define('PREVNEXT_BUTTON_LAST', '&#218;LTIMA&gt;&gt;');

define('IMAGE_BUTTON_ADD_ADDRESS', 'Adicionar Endere&#231;o');
define('IMAGE_BUTTON_ADDRESS_BOOK', 'Livro de Endere&#231;os');
define('IMAGE_BUTTON_BACK', 'Voltar');
define('IMAGE_BUTTON_BUY_NOW', 'Comprar');
define('IMAGE_BUTTON_CHANGE_ADDRESS', 'Modificar Endere&#231;o');
define('IMAGE_BUTTON_CHECKOUT', 'Encomendar');
define('IMAGE_BUTTON_CONFIRM_ORDER', 'Confirmar Encomenda');
define('IMAGE_BUTTON_CONTINUE', 'Continuar');
define('IMAGE_BUTTON_CONTINUE_SHOPPING', 'Continuar Comprando');
define('IMAGE_BUTTON_DELETE', 'Apagar');
define('IMAGE_BUTTON_EDIT_ACCOUNT', 'Editar Dados');
define('IMAGE_BUTTON_HISTORY', 'Hist&#243;rico de Encomendas');
define('IMAGE_BUTTON_LOGIN', 'Entrar');
define('IMAGE_BUTTON_IN_CART', 'Adicionar');
define('IMAGE_BUTTON_NOTIFICATIONS', 'Notifica&#231;&#245;es');
define('IMAGE_BUTTON_QUICK_FIND', 'Pesquisa R&#225;pida');
define('IMAGE_BUTTON_REMOVE_NOTIFICATIONS', 'Remover Notifica&#231;&#245;es');
define('IMAGE_BUTTON_REVIEWS', 'Coment&#225;rios');
define('IMAGE_BUTTON_SEARCH', 'Pesquisa');
define('IMAGE_BUTTON_SHIPPING_OPTIONS', 'Op&#231;&#245;es de Envio');
define('IMAGE_BUTTON_TELL_A_FRIEND', 'Recomendar');
define('IMAGE_BUTTON_UPDATE', 'Atualizar');
define('IMAGE_BUTTON_UPDATE_CART', 'Atualizar');
define('IMAGE_BUTTON_WRITE_REVIEW', 'Comentar');

define('SMALL_IMAGE_BUTTON_DELETE', 'Apagar');
define('SMALL_IMAGE_BUTTON_EDIT', 'Editar');
define('SMALL_IMAGE_BUTTON_VIEW', 'Visualizar');

define('ICON_ARROW_RIGHT', 'mais');
define('ICON_CART', 'No Carrinho');
define('ICON_ERROR', 'Erro');
define('ICON_SUCCESS', 'Sucesso');
define('ICON_WARNING', 'Aten&#231;&#227;o');

define('TEXT_GREETING_PERSONAL', 'Bem vindo <span class="greetUser">%s!</span> Deseja ver as <a href="%s"><u>novidades</u></a>?');
define('TEXT_GREETING_PERSONAL_RELOGON', '<small>Se n&#227;o &#233; %s, por favor <a href="%s"><u>autentique-se</u></a> com os seus dados pessoais.</small>');
define('TEXT_GREETING_GUEST', 'Bem vindo <span class="greetUser">Visitante!</span> <a href="%s"><u>Autentique-se</u></a> ou <a href="%s"><u>crie uma nova conta</u></a>');

define('TEXT_SORT_PRODUCTS', 'Ordenar Produtos ');
define('TEXT_DESCENDINGLY', 'descrecente');
define('TEXT_ASCENDINGLY', 'crescente');
define('TEXT_BY', ' por ');

define('TEXT_REVIEW_BY', 'por %s');
define('TEXT_REVIEW_WORD_COUNT', '%s palavras');
define('TEXT_REVIEW_RATING', 'Classifica&#231;&#227;o: %s [%s]');
define('TEXT_REVIEW_DATE_ADDED', 'Data: %s');
define('TEXT_NO_REVIEWS', 'Ainda n&#227;o h coment&#225;rios a este produto.');

define('TEXT_NO_NEW_PRODUCTS', 'N&#227;o existem produtos.');

define('TEXT_UNKNOWN_TAX_RATE', 'Taxa desconhecida');

define('TEXT_REQUIRED', '<span class="errorText">Necess&#225;rio</span>');

define('ERROR_TEP_MAIL', '<font face="Verdana, Arial" size="2" color="#ff0000"><strong><small>TEP ERROR:</small> N&#227;o foi possivel enviar E-Mails atrav&#233;s do servidor SMTP. Por favor, verifique o arquivo php.ini e corrija as configura&#231;&#245;es do servidor, se necess&#225;rio.</strong></font>');

define('TEXT_CCVAL_ERROR_INVALID_DATE', 'A Data de Validade do Cart&#227;o de Cr&#233;dito introduzida &#233; inv&#225;lida. Por favor, verifique a data e tente de novo.');
define('TEXT_CCVAL_ERROR_INVALID_NUMBER', 'O N&#250;mero do Cart&#227;o de Cr&#233;dito introduzido &#233; inv&#225;lido. Por favor, verifique o n&#250;mero e tente de novo.');
define('TEXT_CCVAL_ERROR_UNKNOWN_CARD', 'Os primeiros quatro n&#250;meros do Cart&#227;o de cr&#233;dito s&#227;o: %s. Se estes n&#250;meros est&#227;o corretos, este cart&#227;o n&#227;o &#233; aceito pelo sistema. Se est&#227;o errados, tente de novo.');

define('FOOTER_TEXT_BODY', 'Todos os Direitos Reservados &copy; ' . date('Y') . ' <a href="' . tep_href_link(FILENAME_DEFAULT) . '">' . STORE_NAME . '</a><br />Powered by <a href="http://www.oscommerce.com" target="_blank">osCommerce</a><br />Tradu&#231;&#227;o <a href="http://www.naitech.com.br" target="_blank">Naitech Inform&#225;tica</a>');
?>
